GREPDIFF(1)

NAME
grepdiff - show files modified by a diff containing a regex

SYNOPSIS

grepdiff [-n] [--number-files] [-p n] [--strip=n] [--addprefix=PREFIX] [-s] [-i PATTERN] [-x PATTERN] [-v] [-E] [-H | --with-filename] [-h | --no-filename] [--output-matching=WHAT] {REGEX | -f FILE} [file...]

grepdiff {--help | --version | --list | --filter ...}

DESCRIPTION

For each file modified by a patch, if the patch hunk contains the REGEX then the file's name is printed.

The regular expression is treated as POSIX Basic Regular Expression syntax, unless the -E option is given in which case POSIX Extended Regular Expression syntax is used.

For example, to see the patches in my.patch which contain the regular expression ``pf_gfp_mask'', use:

    grepdiff pf_gfp_mask my.patch | \
      xargs -rn1 filterdiff my.patch -i

You can use both unified and context format diffs with this program.

OPTIONS

-n  Display the line number that each patch begins at. If verbose output is requested, each matching hunk is listed as well.

    For a description of the output format see lsdiff(1).

--number-files
    File numbers are listed, beginning at 1, before each filename.

-p n
    When matching, ignore the first n components of the pathname.

--strip=n
    Remove the first n components of the pathname before displaying it.

--addprefix=PREFIX
    Prefix the pathname with PREFIX before displaying it.

-s  Show file additions, modifications and removals. A file addition is indicated by a ``+'', a removal by a ``-'', and a modification by a ``!''.

-i PATTERN
    Include only files matching PATTERN.

-x PATTERN
    Exclude files matching PATTERN.

-E  Use POSIX Extended Regular Expression syntax.

-H, --with-filename
    Print the name of the patch file containing each match.

-h, --no-filename
    Suppress the name of the patch file containing each match.

-f FILE
    Read regular expressions from FILE, one per line.

--output-matching=hunk|file
    Display the matching hunk-level or file-level diffs.

--help
    Display a short usage message.

--version
    Display the version number of grepdiff.

--filter
    Behave like filterdiff(1) instead.

--list
    Behave like lsdiff(1) instead.

SEE ALSO

filterdiff(1), lsdiff(1)

AUTHOR
Tim Waugh <twaugh@redhat.com>.